package fineday.WebView;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.TextView;

public class WebViewActivity extends Activity implements View.OnClickListener {
	private WebView webView1;

	private TextView textView1;
	Button button1, button2;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.main);
        textView1 = (TextView)this.findViewById(R.id.textView1);
        button1 = (Button)this.findViewById(R.id.button1);
        button1.setOnClickListener(this);
        button2 = (Button)this.findViewById(R.id.button2);
        button2.setOnClickListener(this);
        webView1 = (WebView)this.findViewById(R.id.webView1);
        
        WebSettings settings = webView1.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setSavePassword(false);
        settings.setSaveFormData(false);
        settings.setSupportZoom(false);
    }
	public void onClick(View arg0) {
        try {
        	if (arg0 == button1) {	
        		webView1.loadUrl("http://192.168.11.4/rpc/ctr/read");	
        		textView1.setText("READ");
        	} else {
        		webView1.loadUrl("http://192.168.11.4/rpc/ctr/write 1");	
           		textView1.setText("CLEAR");
        	}
        } catch (Exception e) {
           	textView1.setText("ERROR");        	
        }
	}
}