package fineday.TCPAndroid;

import java.io.IOException;
import java.net.Socket;

public class rcvThread implements Runnable {

	private Logger logger;
	private final int sizeBuf = 32;
	private int flag;
	final char magic1 = '}';
	final char magic2 = '{';
	private Socket socket;
	
	public rcvThread(Logger logger, Socket socket){
		this.logger = logger;
		flag = 1;
		this.socket = socket;
	}

	public void run() {
		while(flag == 1){
		  String str = "null";
		  byte[] u = new byte[sizeBuf];
		  try {
			int size = socket.getInputStream().read(u);
			boolean[] sw = {false, false, false, false, false, false};
			str = new String(u, 0, size, "UTF-8");
			logger.log(str);
			str = "";
			switch (u[0]) {
			case magic1:
				if (u[1] == magic2)
					flag = 0;
				break;
			case 'w':
				switch (u[2]) {
				case '0':
					sw[0] = true;
					sw[1] = true;
					sw[2] = true;
					sw[3] = true;
					break;
				case '1':
					sw[1] = true;
					sw[2] = true;
					sw[3] = true;
					break;
				case '2':
					sw[0] = true;
					sw[2] = true;
					sw[3] = true;
					break;
				case '3':
					sw[2] = true;
					sw[3] = true;
					break;
				case '4':
					sw[0] = true;
					sw[1] = true;
					sw[3] = true;
					break;
				case '5':
					sw[1] = true;
					sw[3] = true;
					break;
				case '6':
					sw[0] = true;
					sw[1] = true;
					break;
				case '7':
					sw[3] = true;
					break;
				case '8':
					sw[0] = true;
					sw[1] = true;
					sw[2] = true;
					break;
				case '9':
					sw[1] = true;
					sw[2] = true;
					break;
				case 'a':
					sw[0] = true;
					sw[2] = true;
					break;
				case 'b':
					sw[2] = true;
					break;
				case 'c':
					sw[0] = true;
					sw[1] = true;
					break;
				case 'd':
					sw[1] = true;
					break;
				case 'e':
					sw[0] = true;
					break;
				}
				switch (u[1]) {
				case 'c':
					sw[4] = true;
					sw[5] = true;
					break;
				case 'd':
					sw[5] = true;
					break;
				case 'e':
					sw[4] = true;
					break;
				}
				for (int i = 5; i >= 0; i--) {
					if (sw[i])
						str += " ON  ";
					else
						str += " OFF ";
				}
				logger.log(str);
				logger.log(" SW1 SW2 SW3 SW4 SW5 SW6" );
				break;
			default:
				logger.log("undefined char");
			}

//			logger.log(str);
		  } catch (IOException e) {
			e.printStackTrace();
		  }
		}
		logger.log("RUN LOOP EXITED");
	}		
}

